List gear profiles for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/gear/profiles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/gear/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"profiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"members": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"role": "<string>",
"gearItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}
]
}{
"code": "<string>",
"message": "<string>"
}Gear and rigs
List gear profiles for the authenticated user.
GET
/
gear
/
profiles
List gear profiles for the authenticated user.
curl --request GET \
--url https://api.nebyoulous.space/gear/profiles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/gear/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/gear/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"profiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"members": [
{
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"role": "<string>",
"gearItem": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "CAMERA",
"manufacturer": "<string>",
"model": "<string>",
"displayName": "<string>",
"spec": "<unknown>",
"notes": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
]
}
]
}{
"code": "<string>",
"message": "<string>"
}